Network Service Providers
- DELETE /network/service-providers
Delete network service provider
Delete a network service provider
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/service-providers
Add network service provider
Add a new network service provider to the infrastructure
- Status Codes:
201 Created – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- PUT /network/service-providers
Update network service provider
Update an existing network service provider configuration
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/service-providers/list
List network service providers
Get a list of all network service providers
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /network/service-providers/{nsp_type}
Create NSP element
Create a new network service provider element. The NSP type is validated against allowed types.
- Parameters:
nsp_type (string) – NSP type (e.g., ‘VirtualRouter’)
- Status Codes:
201 Created – Created NSP element
400 Bad Request – Invalid request payload or unsupported NSP type
500 Internal Server Error – Failed to create NSP element
- POST /network/service-providers/{nsp_type}/configure
Configure NSP element
Configure network service provider element. The NSP type is validated against allowed types in constants.
- Parameters:
nsp_type (string) – NSP type (e.g., ‘VirtualRouter’)
- Status Codes:
200 OK – Configured NSP element
400 Bad Request – Invalid request payload or unsupported NSP type
500 Internal Server Error – Failed to configure NSP element
- POST /network/service-providers/{nsp_type}/get
Get NSP element by ID
Get a specific network service provider element by ID. The NSP type is validated against allowed types.
- Parameters:
nsp_type (string) – NSP type (e.g., ‘VirtualRouter’)
- Status Codes:
200 OK – NSP element details
400 Bad Request – Invalid request payload or unsupported NSP type
500 Internal Server Error – Failed to get NSP element
- POST /network/service-providers/{nsp_type}/list
List NSP elements
Get a list of network service provider elements. The NSP type is validated against allowed types.
- Parameters:
nsp_type (string) – NSP type (e.g., ‘VirtualRouter’)
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload or unsupported NSP type
500 Internal Server Error – Internal server error